package com.chinaitop.depot.intelligent.grainsituation.model;

import java.util.ArrayList;
import java.util.List;

public class TGasConfigExample {
    /**
     * t_gas_config
     */
    protected String orderByClause;

    /**
     * t_gas_config
     */
    protected boolean distinct;

    /**
     * t_gas_config
     */
    protected List<Criteria> oredCriteria;

    public TGasConfigExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * t_gas_config 2021-10-15
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(String value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(String value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(String value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(String value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(String value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(String value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLike(String value) {
            addCriterion("org_id like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotLike(String value) {
            addCriterion("org_id not like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<String> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<String> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(String value1, String value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(String value1, String value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andStoreCodeIsNull() {
            addCriterion("store_code is null");
            return (Criteria) this;
        }

        public Criteria andStoreCodeIsNotNull() {
            addCriterion("store_code is not null");
            return (Criteria) this;
        }

        public Criteria andStoreCodeEqualTo(String value) {
            addCriterion("store_code =", value, "storeCode");
            return (Criteria) this;
        }

        public Criteria andStoreCodeNotEqualTo(String value) {
            addCriterion("store_code <>", value, "storeCode");
            return (Criteria) this;
        }

        public Criteria andStoreCodeGreaterThan(String value) {
            addCriterion("store_code >", value, "storeCode");
            return (Criteria) this;
        }

        public Criteria andStoreCodeGreaterThanOrEqualTo(String value) {
            addCriterion("store_code >=", value, "storeCode");
            return (Criteria) this;
        }

        public Criteria andStoreCodeLessThan(String value) {
            addCriterion("store_code <", value, "storeCode");
            return (Criteria) this;
        }

        public Criteria andStoreCodeLessThanOrEqualTo(String value) {
            addCriterion("store_code <=", value, "storeCode");
            return (Criteria) this;
        }

        public Criteria andStoreCodeLike(String value) {
            addCriterion("store_code like", value, "storeCode");
            return (Criteria) this;
        }

        public Criteria andStoreCodeNotLike(String value) {
            addCriterion("store_code not like", value, "storeCode");
            return (Criteria) this;
        }

        public Criteria andStoreCodeIn(List<String> values) {
            addCriterion("store_code in", values, "storeCode");
            return (Criteria) this;
        }

        public Criteria andStoreCodeNotIn(List<String> values) {
            addCriterion("store_code not in", values, "storeCode");
            return (Criteria) this;
        }

        public Criteria andStoreCodeBetween(String value1, String value2) {
            addCriterion("store_code between", value1, value2, "storeCode");
            return (Criteria) this;
        }

        public Criteria andStoreCodeNotBetween(String value1, String value2) {
            addCriterion("store_code not between", value1, value2, "storeCode");
            return (Criteria) this;
        }

        public Criteria andRangeIpIsNull() {
            addCriterion("range_ip is null");
            return (Criteria) this;
        }

        public Criteria andRangeIpIsNotNull() {
            addCriterion("range_ip is not null");
            return (Criteria) this;
        }

        public Criteria andRangeIpEqualTo(String value) {
            addCriterion("range_ip =", value, "rangeIp");
            return (Criteria) this;
        }

        public Criteria andRangeIpNotEqualTo(String value) {
            addCriterion("range_ip <>", value, "rangeIp");
            return (Criteria) this;
        }

        public Criteria andRangeIpGreaterThan(String value) {
            addCriterion("range_ip >", value, "rangeIp");
            return (Criteria) this;
        }

        public Criteria andRangeIpGreaterThanOrEqualTo(String value) {
            addCriterion("range_ip >=", value, "rangeIp");
            return (Criteria) this;
        }

        public Criteria andRangeIpLessThan(String value) {
            addCriterion("range_ip <", value, "rangeIp");
            return (Criteria) this;
        }

        public Criteria andRangeIpLessThanOrEqualTo(String value) {
            addCriterion("range_ip <=", value, "rangeIp");
            return (Criteria) this;
        }

        public Criteria andRangeIpLike(String value) {
            addCriterion("range_ip like", value, "rangeIp");
            return (Criteria) this;
        }

        public Criteria andRangeIpNotLike(String value) {
            addCriterion("range_ip not like", value, "rangeIp");
            return (Criteria) this;
        }

        public Criteria andRangeIpIn(List<String> values) {
            addCriterion("range_ip in", values, "rangeIp");
            return (Criteria) this;
        }

        public Criteria andRangeIpNotIn(List<String> values) {
            addCriterion("range_ip not in", values, "rangeIp");
            return (Criteria) this;
        }

        public Criteria andRangeIpBetween(String value1, String value2) {
            addCriterion("range_ip between", value1, value2, "rangeIp");
            return (Criteria) this;
        }

        public Criteria andRangeIpNotBetween(String value1, String value2) {
            addCriterion("range_ip not between", value1, value2, "rangeIp");
            return (Criteria) this;
        }

        public Criteria andRangePortIsNull() {
            addCriterion("range_port is null");
            return (Criteria) this;
        }

        public Criteria andRangePortIsNotNull() {
            addCriterion("range_port is not null");
            return (Criteria) this;
        }

        public Criteria andRangePortEqualTo(String value) {
            addCriterion("range_port =", value, "rangePort");
            return (Criteria) this;
        }

        public Criteria andRangePortNotEqualTo(String value) {
            addCriterion("range_port <>", value, "rangePort");
            return (Criteria) this;
        }

        public Criteria andRangePortGreaterThan(String value) {
            addCriterion("range_port >", value, "rangePort");
            return (Criteria) this;
        }

        public Criteria andRangePortGreaterThanOrEqualTo(String value) {
            addCriterion("range_port >=", value, "rangePort");
            return (Criteria) this;
        }

        public Criteria andRangePortLessThan(String value) {
            addCriterion("range_port <", value, "rangePort");
            return (Criteria) this;
        }

        public Criteria andRangePortLessThanOrEqualTo(String value) {
            addCriterion("range_port <=", value, "rangePort");
            return (Criteria) this;
        }

        public Criteria andRangePortLike(String value) {
            addCriterion("range_port like", value, "rangePort");
            return (Criteria) this;
        }

        public Criteria andRangePortNotLike(String value) {
            addCriterion("range_port not like", value, "rangePort");
            return (Criteria) this;
        }

        public Criteria andRangePortIn(List<String> values) {
            addCriterion("range_port in", values, "rangePort");
            return (Criteria) this;
        }

        public Criteria andRangePortNotIn(List<String> values) {
            addCriterion("range_port not in", values, "rangePort");
            return (Criteria) this;
        }

        public Criteria andRangePortBetween(String value1, String value2) {
            addCriterion("range_port between", value1, value2, "rangePort");
            return (Criteria) this;
        }

        public Criteria andRangePortNotBetween(String value1, String value2) {
            addCriterion("range_port not between", value1, value2, "rangePort");
            return (Criteria) this;
        }

        public Criteria andControlTypeIsNull() {
            addCriterion("control_type is null");
            return (Criteria) this;
        }

        public Criteria andControlTypeIsNotNull() {
            addCriterion("control_type is not null");
            return (Criteria) this;
        }

        public Criteria andControlTypeEqualTo(Integer value) {
            addCriterion("control_type =", value, "controlType");
            return (Criteria) this;
        }

        public Criteria andControlTypeNotEqualTo(Integer value) {
            addCriterion("control_type <>", value, "controlType");
            return (Criteria) this;
        }

        public Criteria andControlTypeGreaterThan(Integer value) {
            addCriterion("control_type >", value, "controlType");
            return (Criteria) this;
        }

        public Criteria andControlTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("control_type >=", value, "controlType");
            return (Criteria) this;
        }

        public Criteria andControlTypeLessThan(Integer value) {
            addCriterion("control_type <", value, "controlType");
            return (Criteria) this;
        }

        public Criteria andControlTypeLessThanOrEqualTo(Integer value) {
            addCriterion("control_type <=", value, "controlType");
            return (Criteria) this;
        }

        public Criteria andControlTypeIn(List<Integer> values) {
            addCriterion("control_type in", values, "controlType");
            return (Criteria) this;
        }

        public Criteria andControlTypeNotIn(List<Integer> values) {
            addCriterion("control_type not in", values, "controlType");
            return (Criteria) this;
        }

        public Criteria andControlTypeBetween(Integer value1, Integer value2) {
            addCriterion("control_type between", value1, value2, "controlType");
            return (Criteria) this;
        }

        public Criteria andControlTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("control_type not between", value1, value2, "controlType");
            return (Criteria) this;
        }

        public Criteria andIsMultichannelIsNull() {
            addCriterion("is_multichannel is null");
            return (Criteria) this;
        }

        public Criteria andIsMultichannelIsNotNull() {
            addCriterion("is_multichannel is not null");
            return (Criteria) this;
        }

        public Criteria andIsMultichannelEqualTo(Integer value) {
            addCriterion("is_multichannel =", value, "isMultichannel");
            return (Criteria) this;
        }

        public Criteria andIsMultichannelNotEqualTo(Integer value) {
            addCriterion("is_multichannel <>", value, "isMultichannel");
            return (Criteria) this;
        }

        public Criteria andIsMultichannelGreaterThan(Integer value) {
            addCriterion("is_multichannel >", value, "isMultichannel");
            return (Criteria) this;
        }

        public Criteria andIsMultichannelGreaterThanOrEqualTo(Integer value) {
            addCriterion("is_multichannel >=", value, "isMultichannel");
            return (Criteria) this;
        }

        public Criteria andIsMultichannelLessThan(Integer value) {
            addCriterion("is_multichannel <", value, "isMultichannel");
            return (Criteria) this;
        }

        public Criteria andIsMultichannelLessThanOrEqualTo(Integer value) {
            addCriterion("is_multichannel <=", value, "isMultichannel");
            return (Criteria) this;
        }

        public Criteria andIsMultichannelIn(List<Integer> values) {
            addCriterion("is_multichannel in", values, "isMultichannel");
            return (Criteria) this;
        }

        public Criteria andIsMultichannelNotIn(List<Integer> values) {
            addCriterion("is_multichannel not in", values, "isMultichannel");
            return (Criteria) this;
        }

        public Criteria andIsMultichannelBetween(Integer value1, Integer value2) {
            addCriterion("is_multichannel between", value1, value2, "isMultichannel");
            return (Criteria) this;
        }

        public Criteria andIsMultichannelNotBetween(Integer value1, Integer value2) {
            addCriterion("is_multichannel not between", value1, value2, "isMultichannel");
            return (Criteria) this;
        }

        public Criteria andStartChannelIsNull() {
            addCriterion("start_channel is null");
            return (Criteria) this;
        }

        public Criteria andStartChannelIsNotNull() {
            addCriterion("start_channel is not null");
            return (Criteria) this;
        }

        public Criteria andStartChannelEqualTo(Integer value) {
            addCriterion("start_channel =", value, "startChannel");
            return (Criteria) this;
        }

        public Criteria andStartChannelNotEqualTo(Integer value) {
            addCriterion("start_channel <>", value, "startChannel");
            return (Criteria) this;
        }

        public Criteria andStartChannelGreaterThan(Integer value) {
            addCriterion("start_channel >", value, "startChannel");
            return (Criteria) this;
        }

        public Criteria andStartChannelGreaterThanOrEqualTo(Integer value) {
            addCriterion("start_channel >=", value, "startChannel");
            return (Criteria) this;
        }

        public Criteria andStartChannelLessThan(Integer value) {
            addCriterion("start_channel <", value, "startChannel");
            return (Criteria) this;
        }

        public Criteria andStartChannelLessThanOrEqualTo(Integer value) {
            addCriterion("start_channel <=", value, "startChannel");
            return (Criteria) this;
        }

        public Criteria andStartChannelIn(List<Integer> values) {
            addCriterion("start_channel in", values, "startChannel");
            return (Criteria) this;
        }

        public Criteria andStartChannelNotIn(List<Integer> values) {
            addCriterion("start_channel not in", values, "startChannel");
            return (Criteria) this;
        }

        public Criteria andStartChannelBetween(Integer value1, Integer value2) {
            addCriterion("start_channel between", value1, value2, "startChannel");
            return (Criteria) this;
        }

        public Criteria andStartChannelNotBetween(Integer value1, Integer value2) {
            addCriterion("start_channel not between", value1, value2, "startChannel");
            return (Criteria) this;
        }

        public Criteria andEndChannelIsNull() {
            addCriterion("end_channel is null");
            return (Criteria) this;
        }

        public Criteria andEndChannelIsNotNull() {
            addCriterion("end_channel is not null");
            return (Criteria) this;
        }

        public Criteria andEndChannelEqualTo(Integer value) {
            addCriterion("end_channel =", value, "endChannel");
            return (Criteria) this;
        }

        public Criteria andEndChannelNotEqualTo(Integer value) {
            addCriterion("end_channel <>", value, "endChannel");
            return (Criteria) this;
        }

        public Criteria andEndChannelGreaterThan(Integer value) {
            addCriterion("end_channel >", value, "endChannel");
            return (Criteria) this;
        }

        public Criteria andEndChannelGreaterThanOrEqualTo(Integer value) {
            addCriterion("end_channel >=", value, "endChannel");
            return (Criteria) this;
        }

        public Criteria andEndChannelLessThan(Integer value) {
            addCriterion("end_channel <", value, "endChannel");
            return (Criteria) this;
        }

        public Criteria andEndChannelLessThanOrEqualTo(Integer value) {
            addCriterion("end_channel <=", value, "endChannel");
            return (Criteria) this;
        }

        public Criteria andEndChannelIn(List<Integer> values) {
            addCriterion("end_channel in", values, "endChannel");
            return (Criteria) this;
        }

        public Criteria andEndChannelNotIn(List<Integer> values) {
            addCriterion("end_channel not in", values, "endChannel");
            return (Criteria) this;
        }

        public Criteria andEndChannelBetween(Integer value1, Integer value2) {
            addCriterion("end_channel between", value1, value2, "endChannel");
            return (Criteria) this;
        }

        public Criteria andEndChannelNotBetween(Integer value1, Integer value2) {
            addCriterion("end_channel not between", value1, value2, "endChannel");
            return (Criteria) this;
        }

        public Criteria andUpOrDownIsNull() {
            addCriterion("up_or_down is null");
            return (Criteria) this;
        }

        public Criteria andUpOrDownIsNotNull() {
            addCriterion("up_or_down is not null");
            return (Criteria) this;
        }

        public Criteria andUpOrDownEqualTo(String value) {
            addCriterion("up_or_down =", value, "upOrDown");
            return (Criteria) this;
        }

        public Criteria andUpOrDownNotEqualTo(String value) {
            addCriterion("up_or_down <>", value, "upOrDown");
            return (Criteria) this;
        }

        public Criteria andUpOrDownGreaterThan(String value) {
            addCriterion("up_or_down >", value, "upOrDown");
            return (Criteria) this;
        }

        public Criteria andUpOrDownGreaterThanOrEqualTo(String value) {
            addCriterion("up_or_down >=", value, "upOrDown");
            return (Criteria) this;
        }

        public Criteria andUpOrDownLessThan(String value) {
            addCriterion("up_or_down <", value, "upOrDown");
            return (Criteria) this;
        }

        public Criteria andUpOrDownLessThanOrEqualTo(String value) {
            addCriterion("up_or_down <=", value, "upOrDown");
            return (Criteria) this;
        }

        public Criteria andUpOrDownIn(List<String> values) {
            addCriterion("up_or_down in", values, "upOrDown");
            return (Criteria) this;
        }

        public Criteria andUpOrDownNotIn(List<String> values) {
            addCriterion("up_or_down not in", values, "upOrDown");
            return (Criteria) this;
        }

        public Criteria andUpOrDownBetween(String value1, String value2) {
            addCriterion("up_or_down between", value1, value2, "upOrDown");
            return (Criteria) this;
        }

        public Criteria andUpOrDownNotBetween(String value1, String value2) {
            addCriterion("up_or_down not between", value1, value2, "upOrDown");
            return (Criteria) this;
        }
    }

    /**
     * t_gas_config
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * t_gas_config 2021-10-15
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}